#ifndef __DEMO_H_
#define __DEMO_H_
#include <caca0.h>
#include <mikmod.h>
#include <sys/time.h>
#include <time.h>
#include <string.h>
#undef __USE_MISC
#include <math.h> 
#include <unistd.h>

#include <sprites.h>
#include <parts.h>
#include <text.h>
/* 
   Turning off sound don't use mikmod system 
   at all, but try to keep timeline reliable.
*/

#define XSIZ 256
#define YSIZ 256
unsigned char screen[XSIZ * YSIZ * 4];
unsigned char screentemp[XSIZ * YSIZ * 4];

void *musicFunction( void *ptr );
void *demoFunction( void *ptr );

void synchroCallback(int pos, int pat);

void timeline(int ticks);



void displayLogo(int ticks);



#ifdef __LINUX__
 #include <pthread.h>
#endif /* __LINUX__*/

#define MATCH_POSITION(p) ((pat==p) || (pat+1==p))




#endif /*__DEMO_H_*/
