#ifndef __RAYTRACER_H_
#define __RAYTRACER_H_


typedef struct _sMeta
{
  sVector position;


  float diffx;
  float diffy;
  float diffz;

  float diffx2;
  float diffy2;

  float dxy;
}sMeta;



int initMetaballs(int nbrBall);


void raytraceBalls(unsigned int *buffer, sObject *meta, int xsiz, int ysiz);


sVector *cross(sVector *a, sVector *b);


#endif /* __RAYTRACER_H_ */
